Bug 604859 - bug in __CPU_EQUAL_S macro
Summary: bug in __CPU_EQUAL_S macro
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Andreas Schwab
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-16 21:08 UTC by Karel Zak
Modified: 2016-11-24 16:17 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-19 08:51:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Karel Zak 2010-06-16 21:08:23 UTC
Description of problem:

/usr/include/bits/sched.h -- there is a bug in __CPU_EQUAL_S fallback macro, __bits are undeclared. I guess that there should be __arr1 and __arr2.

Something like:

 # if __GNUC_PREREQ (2, 91)
 #  define __CPU_EQUAL_S(setsize, cpusetp1, cpusetp2) \
   (__builtin_memcmp (cpusetp1, cpusetp2, setsize) == 0)
 # else
 #  define __CPU_EQUAL_S(setsize, cpusetp1, cpusetp2) \
   (__extension__							      \
    ({ __cpu_mask *__arr1 = (cpusetp1)->__bits;				      \
       __cpu_mask *__arr2 = (cpusetp2)->__bits;				      \
       size_t __imax = (setsize) / sizeof (__cpu_mask);			      \
       size_t __i;							      \
       for (__i = 0; __i < __imax; ++__i)				      \
-        if (__bits[__i] != __bits[__i])				      \
+	 if (__arr1[__i] != __arr2[__i])				      \
 	   break;							      \
       __i == __imax; }))
 # endif

Comment 1 Siddhesh Poyarekar 2010-12-12 11:27:19 UTC
Version: glibc-2.12.1-4

Bug also present in rawhide.

Comment 2 Bug Zapper 2011-06-02 10:34:02 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Siddhesh Poyarekar 2011-06-02 10:42:57 UTC
moving to rawhide since the bug is present there too.

Comment 4 Karel Zak 2011-06-02 12:59:47 UTC
Clearing needinfo request, see comment #3.


Note You need to log in before you can comment on or make changes to this bug.